IsThisAScam
5/5

เอกสาร API

เชื่อมต่อการตรวจจับการหลอกลวงเข้ากับแอปพลิเคชันของคุณด้วย REST API ของเรา

การยืนยันตัวตน

คำขอ API ทั้งหมดต้องใช้ Bearer token รับ API key ของคุณโดยสมัครแพ็กเกจ API

Authorization: Bearer your_api_key_here

Endpoints

POST/api/v1/check

วิเคราะห์เนื้อหาเพื่อหาตัวบ่งชี้การหลอกลวง

{
  "content": "Your suspicious text here...",
  "input_type": "text",  // "text" | "url" | "email"
  "locale": "en"         // optional, for explanation language
}
POST/api/v1/bulk

ตรวจสอบ URL หรือเนื้อหาหลายรายการในคำขอเดียว

{
  "items": [
    { "content": "https://suspicious-url.com" },
    { "content": "Check this email text..." }
  ]
}

รูปแบบการตอบกลับ

{
  "id": "abc123xyz",
  "verdict": "likely_scam",
  "composite_score": 72,
  "confidence": 88,
  "scam_type": "phishing",
  "explanation": "This message...",
  "red_flags": [...],
  "layers": [...],
  "processing_time_ms": 2340
}

ขีดจำกัดอัตรา

แพ็กเกจ API: 10,000 คำขอต่อวัน แพ็กเกจองค์กร: ไม่จำกัด